Kepler - Bug #4852

Documentation => Remove Customization doesn't work
02/26/2010 07:09 PM - Derik Barseghian
Target version: 2.0.0 Spent time: 0.00 hour
Bugzilla-ld: 4852

Description

If you Customize Documentation on a workflow or an actor, Remove Customization doesn't remove it.

Related issues:
Blocked by Kepler - Bug #4072: Rework Section 3 Resolved 05/18/2009

History

#1 - 03/03/2010 01:24 PM - Derik Barseghian

This is kepler-specific, it works in vergil.

#2 - 03/03/2010 05:52 PM - Derik Barseghian

| wonder if this ever worked in Kepler? It doesn't in 1.0. I'm having trouble finding where/how the documentation may have ever been reset to its
original state, in Kepler. ptolemy's RemoveCustomDocumentationAction actionPerformed just removes a DocAttribute on the NamedObj, if it exists...it
doesn't do anything with any potential KeplerDocumentationAttribute. If | do the same for any potential KeplerDocumentationAttribute in this
actionPerformed, it does indeed get removed, but the next time you view the documentation on the NamedObj, there's just none -- nothing has been
reset or regenerated to its original state afaict.

#3 - 03/04/2010 09:21 AM - Chad Berkley

It did work at one point. It just removed the kepler documentation and let it default to the ptolemy docs. If there was no kepler documentation, it didn't
do anything.

#4 - 03/11/2010 06:38 PM - Derik Barseghian

I've got a local fix for this that seems to be working pretty well. I'm going to test it some more before check in.

#5 - 03/12/2010 01:40 PM - Derik Barseghian
fixed in r23336 (trunk) and r23339 (2.0).

#6 - 03/27/2013 02:28 PM - Redmine Admin
Original Bugzilla ID was 4852
